List credentials by provider - SuperAI Flows
List credentials by provider
cURL
curl --request GET \
--url https://flows.super.ai/api/integrations/credentials/provider/{provider} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/integrations/credentials/provider/{provider}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/integrations/credentials/provider/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
[
{
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
Authorizations
X-API-Key
- Required: Yes
- Type: String
- Description: API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY
Authorization
- Required: Yes
- Type: String
- Description: JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
Path Parameters
- provider (required): Integration provider to filter credentials by. Valid providers include:
microsoft,sharepoint,sftp,aws_ses,google,postgresql,internal_postgresql.
Response
200: application/json
List of credentials for the specified provider retrieved successfully.
Fields:
created_at: stringid: stringmodified_by: stringname: stringprovider: enumupdated_at: stringuser_id: string| null